# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

Name:           bluetile
Version:        0.5.3
Release:        3%{?dist}
Summary:        Tiling window manager for GNOME

Group:          User Interface/X
License:        BSD
URL:            http://www.bluetile.org/
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-session.desktop
Source2:        %{name}.desktop
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros >= 0.7.0
BuildRequires:  ghc-xmonad-contrib-devel, ghc-gtk-devel, ghc-glade-devel, ghc-ConfigFile-devel, ghc-regex-compat-devel
BuildRequires:  desktop-file-utils

%description
Bluetile is a tiling window manager for Linux, designed to integrate with
the GNOME desktop environment. It provides both a traditional, stacking layout
mode as well as tiling layouts where windows are arranged to use the entire
screen without overlapping. Bluetile tries to make the tiling paradigm easily
accessible to users coming from traditional window managers by drawing on known
conventions and providing both mouse and keyboard access for all features. 


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install

install -p -m 0644 -D %SOURCE1 %{buildroot}%{_datadir}/xsessions/%{name}.desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 -D man/*.1 %{buildroot}%{_mandir}/man1


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/gnome-%{name}-session
%{_libexecdir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/xsessions/%{name}.desktop
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*


%changelog
* Fri Apr  1 2011 Jens Petersen <petersen@redhat.com> - 0.5.3-3
- use desktop-file-install to install bluetile.desktop (#426753)
- fix the desktop files for desktop-install-validate
- add manpages (#426753)

* Wed Mar 16 2011 Jens Petersen <petersen@redhat.com> - 0.5.3-2
- update to cabal2spec-0.22.5
- add ConfigFile and regex-compat deps

* Mon Sep 13 2010 Jens Petersen <petersen@redhat.com> - 0.5.3-1
- BSD license
- homepage url
- BR xmonad-contrib, gtk, glade haskell libs
- add .desktop files like those in xmonad

* Mon Sep 13 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
